Subject: bug#1173: gnus/imap.el should quote quotes in password

From: "Aaron D. Ball" <[email-masked]>
Date: Wed, 15 Oct 2008 14:11:43 -0400

When sending a LOGIN command, the imap-login-auth function in imap.el 
does not quote double quotes in the password string, so passwords 
containing double quotes result in an error.

I'm using stock Emacs 22.3, compiled by our sysadmin team here:

GNU Emacs 22.3.2 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll 
bars) of 2008-09-26 on node106

Below is the patch I am using, which fixed the problem for me:

--- lisp/gnus/imap.el~      2008-01-06 20:22:42.000000000 -0500
+++ lisp/gnus/imap.el       2008-10-15 13:58:06.124586000 -0400
@@ -922,7 +922,7 @@
                           (lambda (user passwd)
                             (imap-ok-p (imap-send-command-wait
                                         (concat "LOGIN \"" user "\" \""
-                                               passwd "\""))))))
+ 
(replace-regexp-in-string "\"" "\\\"" passwd) "\""))))))

  (defun imap-anonymous-p (buffer)
    t)

-- 
Aaron D. Ball <[email-masked]>
Senior Systems Analyst
Broad Institute of MIT and Harvard